Package ch.qos.logback.core.joran.action

# Class ShutdownHookAction

java.lang.Object
ch.qos.logback.core.spi.ContextAwareBase
ch.qos.logback.core.joran.action.Action
ch.qos.logback.core.joran.action.ShutdownHookAction

All Implemented Interfaces:
  `ContextAware`

public class ShutdownHookAction extends Action
Action which handles <shutdownHook> elements in configuration files.

Author:
  Mike Reinhold

## Field Summary

### Fields inherited from class ch.qos.logback.core.joran.action.Action

`ACTION_CLASS_ATTRIBUTE, CLASS_ATTRIBUTE, FILE_ATTRIBUTE, KEY_ATTRIBUTE, NAME_ATTRIBUTE, PATTERN_ATTRIBUTE, SCOPE_ATTRIBUTE, VALUE_ATTRIBUTE`

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

## Constructor Summary

Constructors
Constructor
Description
`ShutdownHookAction()`

## Method Summary

Modifier and Type
Method
Description
`void`
`begin(InterpretationContext ic, String name, Attributes attributes)`
Instantiates a shutdown hook of the given class and sets its name.
`void`
`end(InterpretationContext ic, String name)`
Once the children elements are also parsed, now is the time to activate the shutdown hook options.

### Methods inherited from class ch.qos.logback.core.joran.action.Action

`body, getColumnNumber, getLineColStr, getLineNumber, toString`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ShutdownHookAction

public ShutdownHookAction()

## Method Details

### begin

public void begin(InterpretationContext ic, String name, Attributes attributes) throws ActionException
Instantiates a shutdown hook of the given class and sets its name. The hook thus generated is placed in the `InterpretationContext`'s shutdown hook bag.

Specified by:
  `begin` in class `Action`
Throws:
  `ActionException`

### end

public void end(InterpretationContext ic, String name) throws ActionException
Once the children elements are also parsed, now is the time to activate the shutdown hook options.

Specified by:
  `end` in class `Action`
Throws:
  `ActionException`